searchWireBeneficiary
Perform various search operations on wire beneficiary records.
Operations
Searches for wire beneficiary advanced paged information with selected fields
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
Responses
200
Successful operation.
application/json
TokenstringOptional
post/searchWireBeneficiaryAdvPagedSelectFields
POST /nexum/627/persistent/wire/searchWireBeneficiaryAdvPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 464
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "text"
},
"UserNumberCredentials": {
"UserNumber": 1,
"Password": "text"
},
"TokenCredentials": {
"TokenId": "text"
}
},
"WireSequenceNumber": 1,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 1,
"Token": "text"
},
"SelectableFields": {
"IncludeAllWireBeneficiaryAdvFields": true,
"WireBeneficiaryAdvFields": {
"Locator": true,
"Text": [
1
]
}
},
"SearchFilter": {
"Query": "text"
},
"nxAttributes": {
"customFields": {}
}
}200
Successful operation.
{
"WireBeneficiaryAdv": [
{
"Locator": 1,
"Text": [
{
"EntryId": 1,
"Text": "text"
}
]
}
],
"Token": "text"
}Searches for wire beneficiary financial institution advanced paged information with selected fields
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
Responses
200
Successful operation.
application/json
TokenstringOptional
post/searchWireBeneficiaryFiAdvPagedSelectFields
POST /nexum/627/persistent/wire/searchWireBeneficiaryFiAdvPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 468
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "text"
},
"UserNumberCredentials": {
"UserNumber": 1,
"Password": "text"
},
"TokenCredentials": {
"TokenId": "text"
}
},
"WireSequenceNumber": 1,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 1,
"Token": "text"
},
"SelectableFields": {
"IncludeAllWireBeneficiaryFiAdvFields": true,
"WireBeneficiaryFiAdvFields": {
"Locator": true,
"Text": [
1
]
}
},
"SearchFilter": {
"Query": "text"
},
"nxAttributes": {
"customFields": {}
}
}200
Successful operation.
{
"WireBeneficiaryFiAdv": [
{
"Locator": 1,
"Text": [
{
"EntryId": 1,
"Text": "text"
}
]
}
],
"Token": "text"
}Searches for wire beneficiary financial institution information paged with selected fields
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
Responses
200
Successful operation.
application/json
TokenstringOptional
post/searchWireBeneficiaryFiInfoPagedSelectFields
POST /nexum/627/persistent/wire/searchWireBeneficiaryFiInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 470
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "text"
},
"UserNumberCredentials": {
"UserNumber": 1,
"Password": "text"
},
"TokenCredentials": {
"TokenId": "text"
}
},
"WireSequenceNumber": 1,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 1,
"Token": "text"
},
"SelectableFields": {
"IncludeAllWireBeneficiaryFiInfoFields": true,
"WireBeneficiaryFiInfoFields": {
"Locator": true,
"Text": [
1
]
}
},
"SearchFilter": {
"Query": "text"
},
"nxAttributes": {
"customFields": {}
}
}200
Successful operation.
{
"WireBeneficiaryFiInfo": [
{
"Locator": 1,
"Text": [
{
"EntryId": 1,
"Text": "text"
}
]
}
],
"Token": "text"
}Searches for wire beneficiary information paged with selected fields
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireSequenceNumberintegerOptional
Responses
200
Successful operation.
application/json
TokenstringOptional
post/searchWireBeneficiaryInfoPagedSelectFields
POST /nexum/627/persistent/wire/searchWireBeneficiaryInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 466
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "text"
},
"UserNumberCredentials": {
"UserNumber": 1,
"Password": "text"
},
"TokenCredentials": {
"TokenId": "text"
}
},
"WireSequenceNumber": 1,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 1,
"Token": "text"
},
"SelectableFields": {
"IncludeAllWireBeneficiaryInfoFields": true,
"WireBeneficiaryInfoFields": {
"Locator": true,
"Text": [
1
]
}
},
"SearchFilter": {
"Query": "text"
},
"nxAttributes": {
"customFields": {}
}
}200
Successful operation.
{
"WireBeneficiaryInfo": [
{
"Locator": 1,
"Text": [
{
"EntryId": 1,
"Text": "text"
}
]
}
],
"Token": "text"
}Last updated
Was this helpful?